Class | RSS::RDF::Channel
In: | rss/syndication.rb rss/image.rb rss/dublincore.rb rss/1.0.rb
Parent: | Object

### Methods

new required_uri to_s

### Included Modules

SyndicationModel ImageFaviconModel DublinCoreModel RSS10

### Classes and Modules

Class RSS::RDF::Channel::Image
Class RSS::RDF::Channel::Items
Class RSS::RDF::Channel::Textinput

### Public Class methods

new(about=nil)

[Source]

    # File rss/1.0.rb, line 232
          def initialize(about=nil)
            super()
            @about = about
          end

required_uri()

[Source]

    # File rss/1.0.rb, line 201
            def required_uri
              ::RSS::URI
            end

### Public Instance methods

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/1.0.rb, line 237
          def to_s(need_convert=true, indent=calc_indent)
            rv = tag(indent) do |next_indent|
              [
                title_element(false, next_indent),
                link_element(false, next_indent),
                description_element(false, next_indent),
                image_element(false, next_indent),
                items_element(false, next_indent),
                textinput_element(false, next_indent),
                other_element(false, next_indent),
              ]
            end
            rv = convert(rv) if need_convert
            rv
          end

[Validate]